//
//  Shader.vsh
//  rdkf_port
//
//  Created by Guillaume Portes on 06/01/2013.
//  Copyright (c) 2013 Another Place Productions. All rights reserved.
//

attribute vec4 position;
attribute vec4 inputColor;
varying lowp vec4 colorVarying;

uniform mat4 modelViewProjectionMatrix;

attribute vec2 TexCoord0In;
varying vec2 TexCoord0Out;

attribute lowp float lod_bias_in;
varying lowp float lod_bias_out;

void main()
{
    gl_Position = modelViewProjectionMatrix * position;
    TexCoord0Out.x = TexCoord0In.x;
    TexCoord0Out.y = 1.0 - TexCoord0In.y;
    colorVarying = vec4(inputColor.z / 255.0, inputColor.y / 255.0, inputColor.x / 255.0, inputColor.w / 255.0);
    lod_bias_out = lod_bias_in;
}
