//
//  DyeShader.vsh
//  rdkf_port
//
//  Created by Guillaume Portes on 06/01/2013.
//  Copyright (c) 2013 Another Place Productions. All rights reserved.
//

attribute vec4 position;
attribute vec4 inputColor;
attribute vec4 inputDyeColorLow;
attribute vec4 inputDyeColorHigh;

varying lowp vec4 colorVarying;
varying lowp vec4 dyeColorLowVarying;
varying lowp vec4 dyeColorHighVarying;

uniform mat4 modelViewProjectionMatrix;

attribute vec2 TexCoord0In;
varying vec2 TexCoord0Out;

void main()
{
    gl_Position = modelViewProjectionMatrix * position;
    TexCoord0Out.x = TexCoord0In.x;
    TexCoord0Out.y = 1.0 - TexCoord0In.y;
    colorVarying = vec4(inputColor.z / 255.0, inputColor.y / 255.0, inputColor.x / 255.0, inputColor.w / 255.0);
    dyeColorLowVarying = vec4(inputDyeColorLow.z / 255.0, inputDyeColorLow.y / 255.0, inputDyeColorLow.x / 255.0, inputDyeColorLow.w / 255.0);
    dyeColorHighVarying = vec4(inputDyeColorHigh.z / 255.0, inputDyeColorHigh.y / 255.0, inputDyeColorHigh.x / 255.0, inputDyeColorHigh.w / 255.0);
}
