attribute vec4 position;
attribute vec2 TexCoord0In;
attribute vec4 inputColor;

uniform mat4 modelViewProjectionMatrix;

varying vec2 TexCoord0Out;

varying lowp vec4 colorVarying;
attribute highp float lightDistance;

uniform highp float pointLightAttenuationConstant;
uniform highp float pointLightAttenuationLinear;
uniform highp float pointLightAttenuationExp;

uniform lowp vec4 ambientColor;
uniform lowp vec4 pointLightColor;

void main()
{
    gl_Position =  modelViewProjectionMatrix * position;
    
    // Pass texCoord
    TexCoord0Out.x = TexCoord0In.x;
    TexCoord0Out.y = 1.0 - TexCoord0In.y;
    
    lowp float attenuation =  1.0 / (pointLightAttenuationConstant + pointLightAttenuationLinear * lightDistance + pointLightAttenuationExp * lightDistance * lightDistance);
    colorVarying = vec4(pointLightColor.xyz, 0) * attenuation + vec4(inputColor.z / 255.0, inputColor.y / 255.0, inputColor.x / 255.0, inputColor.w / 255.0) + ambientColor;
}
