//
//  MaskShader.vsh
//  rdkf_port
//
//  Created by Guillaume Portes on 06/01/2013.
//  Copyright (c) 2013 Another Place Productions. All rights reserved.
//

attribute vec4 position;
attribute vec4 inputColor;

varying lowp vec4 colorVarying;

uniform mat4 modelViewProjectionMatrix;

attribute vec2 TexCoord0In;
attribute vec2 TexCoord1In;
varying vec2 TexCoord0Out;
varying vec2 TexCoord1Out;


attribute lowp float Intensity;
varying lowp float IntensityOut;

void main()
{
    gl_Position = modelViewProjectionMatrix * position;
    TexCoord0Out.x = TexCoord0In.x;
    TexCoord0Out.y = 1.0 - TexCoord0In.y;
    TexCoord1Out.x = TexCoord1In.x;
    TexCoord1Out.y = 1.0 - TexCoord1In.y;
    IntensityOut = Intensity;
    colorVarying = vec4(inputColor.z / 255.0, inputColor.y / 255.0, inputColor.x / 255.0, inputColor.w / 255.0);
}
